> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payaza.africa/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Name Enquiry

> The Account Name Enquiry API is used to retrieve the account details of a beneficiary using its account number. 



## OpenAPI

````yaml /openapi.json post /payaza-account/api/v1/mainaccounts/merchant/provider/enquiry
openapi: 3.0.1
info:
  title: Payaza Documentation
  version: 2.0.0
  description: >-
    API reference for processing payments using Card, Bank Transfer, USSD, and
    QR Code methods.
servers:
  - url: https://api.payaza.africa/live
security:
  - ApiKeyAuth: []
  - TenantID: []
  - ProductID: []
tags:
  - name: Transfers
    description: >-
      Transfers are transactions made from your Payaza account to beneficiaries.
      Merchants can instantly transfer funds from their available balance. For
      every transfer, you need to specify the amount and the beneficiary’s
      details. You become eligible to make transfers after you have been
      verified. (you sign up, finish account activation and KYC verification).
  - name: Payaza Account
    description: >-
      This is our internal account that can be used to make payouts to other
      bank accounts, in single or in bulk. The Payaza account can also be used
      to receive settlements. It can also be used to track the transfer status
      of your transactions and check your balance instantly
  - name: Sub Accounts
    description: >-
      This enables you to establish Sub Payaza accounts for your customers. Each
      sub-account comes with an assigned static virtual account, facilitating
      direct funding for individual accounts. Furthermore, the Main Payaza
      account can directly initiate funding for each sub-account. These
      sub-accounts serve the purpose of managing unique account positions or
      balances and facilitating disbursements from these positions to specified
      beneficiaries.
  - name: EUR Accounts
    description: >-
      This endpoints enable you to create EUR subaccounts which can be used to
      make transfers as required .
  - name: Apple Pay and Google Pay
    description: >-
      Apple Pay and Google Pay give your customers a fast, familiar, and secure
      way to complete payments. Our APIs provide a gateway to provide these
      services to your users for a smooth payment experience.
  - name: Virtual Accounts
    description: >-
      Virtual Accounts are bank accounts that are created for a specific purpose
      and last for specified durations. Virtual accounts are issued by Payaza’s
      partner banks. Our virtual account APIs can be used to create virtual
      accounts and perform other tasks relevant to virtual accounts. Virtual
      accounts are created to foster easy payment collections for your business
      and platform. 

      Static/Reserved Account: This virtual account is created by the merchant
      and remains valid indefinitely. It can be used multiple times and does not
      expire. 

      Dynamic Account: This virtual account is generated for a specific
      transaction or purpose. Please note that dynamic virtual account remains
      valid for a temporary period of time or until a payment of the specified
      amount is received. Upon expiry, a merchant can generate another one for a
      different purpose.
  - name: Card Collection
    description: >-
      The Card Collection APIs can be used to make card transactions, refund
      transactions that have been performed, check the status of a transaction
      and so much more.
  - name: Card Tokenisation
    description: >-
      The Card Tokenisation APIs are used to create card tokens, charge cards
      using tokens, retrieve all tokens created by a merchant account and
      deleting any card token as desired.
  - name: Refunds And Chargebacks
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Branches
    description: >-
      The Refunds and Chargeback APIs are used to initiate refunds, view your
      refund and chargeback history and so much more.
  - name: Auth-Capture-Void
    description: >-
      The Auth-Capture-Void APIs provide a two-phase payment process where
      transactions are first authorized, then captured or voided. This allows
      merchants to hold funds and complete the transaction in the future.
  - name: Momo and ZAR Collections
    description: APIs for MoMo, ZAR and XOF collections.
  - name: Check Transaction Status(Merchant Reference)
    description: >-
      This endpoint is used to check the transaction status of a transaction
      using the Merchant Reference..
paths:
  /payaza-account/api/v1/mainaccounts/merchant/provider/enquiry:
    post:
      tags:
        - Transfers
      summary: Get Account Name Enquiry
      description: >-
        The Account Name Enquiry API is used to retrieve the account details of
        a beneficiary using its account number. 
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - $ref: '#/components/schemas/getAccountNameEnquiryRequest'
            examples:
              Get Account Name Enquiry:
                summary: Request
                value:
                  service_payload:
                    currency: NGN
                    bank_code: '090123'
                    account_number: '0103937899'
      responses:
        '200':
          description: Response
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/getAccountNameEnquiryResponse'
              examples:
                Get Account Name Enquiry:
                  summary: Check Tranaction Status Reponsse
                  value:
                    response_code: 200
                    response_message: Approved or completely successful
                    response_content:
                      account_number: '0190878999'
                      bank_code: '203012'
                      account_name: Olaolu Adejide
                      account_status: ACTIVE
                      transaction_reference: 9
                    response_content_class: >-
                      com.fin78.app.payload.response.enquiry.account.AccountNameEnquiryInfoResponse
        '400':
          description: Invalid request
      security:
        - ApiKeyAuth: []
          TenantID:
            - test or live
components:
  schemas:
    getAccountNameEnquiryRequest:
      title: Get Account Name Enquiry
      type: object
      properties:
        service_payload:
          type: object
          description: It contains the details of the service payload.
          properties:
            currency:
              type: string
              description: The currency code (e.g., NGN)
              example: NGN
            bank_code:
              type: string
              description: The unique code of the bank
              example: '100004'
            account_number:
              type: string
              description: The customer's account number
              example: '800109013'
          required:
            - currency
            - bank_code
            - account_number
    getAccountNameEnquiryResponse:
      title: Account Name Enquiry Response
      type: object
      properties:
        response_code:
          type: integer
        response_message:
          type: string
        response_content:
          type: object
          properties:
            account_number:
              type: string
            account_name:
              type: string
            bank_code:
              type: string
            account_status:
              type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Payaza {{Public API Key in Base 64}}
    TenantID:
      type: apiKey
      in: header
      name: X-TenantID
      description: live or test
    ProductID:
      type: apiKey
      in: header
      name: X-ProductID
      description: 'default value is ‟app” '

````